Apache Tomcat 6.0.51

## org.apache.catalina.ha.deploy
Class FileMessage

    java.lang.Object
      org.apache.catalina.ha.ClusterMessageBase
          org.apache.catalina.ha.deploy.FileMessage

All Implemented Interfaces:
  java.io.Serializable, ClusterMessage

    public class FileMessage

extends ClusterMessageBase
implements ClusterMessage, java.io.Serializable

Contains the data for a file being transferred over TCP, this is essentially a fragment of a file, read and written by the FileMessageFactory

Version:
  1.0
Author:
  Filip Hanik
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.ha.ClusterMessageBase
`address`

Constructor Summary
`FileMessage(Member source, java.lang.String fileName, java.lang.String contextPath)`

Method Summary
`java.lang.String` | `getContextPath()`
`byte[]` | `getData()`
`int` | `getDataLength()`
`java.lang.String` | `getFileName()`
`int` | `getMessageNumber()`
`long` | `getTotalLength()`
`long` | `getTotalNrOfMsgs()`
`java.lang.String` | `getUniqueId()`
`void` | `setData(byte[] data, int length)`
`void` | `setDataLength(int dataLength)`
`void` | `setFileName(java.lang.String fileName)`
`void` | `setMessageNumber(int messageNumber)`
`void` | `setTotalLength(long totalLength)`
`void` | `setTotalNrOfMsgs(long totalNrOfMsgs)`

Methods inherited from class org.apache.catalina.ha.ClusterMessageBase
`getAddress, getTimestamp, setAddress, setTimestamp, setUniqueId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.ha.ClusterMessage
`getAddress, getTimestamp, setAddress, setTimestamp, setUniqueId`

Constructor Detail

### FileMessage

    public FileMessage(Member source,
                       java.lang.String fileName,
                       java.lang.String contextPath)

Method Detail

### getMessageNumber

    public int getMessageNumber()

### setMessageNumber

    public void setMessageNumber(int messageNumber)

### getTotalNrOfMsgs

    public long getTotalNrOfMsgs()

### setTotalNrOfMsgs

    public void setTotalNrOfMsgs(long totalNrOfMsgs)

### getData

    public byte[] getData()

### setData

    public void setData(byte[] data,
                        int length)

### getDataLength

    public int getDataLength()

### setDataLength

    public void setDataLength(int dataLength)

### getTotalLength

    public long getTotalLength()

### setTotalLength

    public void setTotalLength(long totalLength)

### getUniqueId

    public java.lang.String getUniqueId()

  Specified by:
    `getUniqueId` in interface `ClusterMessage`
  Overrides:
    `getUniqueId` in class `ClusterMessageBase`

### getFileName

    public java.lang.String getFileName()

### setFileName

    public void setFileName(java.lang.String fileName)

### getContextPath

    public java.lang.String getContextPath()

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.